# norootforbuild

%define _name			gst-plugins-ugly
%define DISTRIBUTABLE	1
%define gst_branch		0.10
#%define gstreamer010_plugins_ugly_req %(zgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /;s/GSTPB_REQ=/gstreamer-0_10-plugins-base >= /' | tr '\\n' ' ')
%define _experimental	0

Name:			gstreamer-0_10-plugins-ugly
Summary:		GStreamer Streaming-Media Framework Plug-Ins
License:		LGPL
Group:			System/GUI/GNOME
Version:		0.10.14
Release:		1002.4
Source:			http://gstreamer.freedesktop.org/src/gst-plugins-ugly/%{_name}-%{version}.tar.bz2
Source90:		gstreamer010-plugins-ugly-rpmlintrc
Patch0:			gst-plugins-ugly-makefile.patch
URL:			http://gstreamer.freedesktop.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Enhances:		gstreamer-0_10
PreReq:			filesystem
Requires:       gstreamer-0_10 >= 0.10.29
Requires:       gstreamer-0_10-plugins-base >= 0.10.29
Requires:       %{name}-lang = %{version}
Requires:		licenses
# ugly, but we need to have an explicit dependency on the orc library
# package here, as 0.4.6 provides additional features that are *required*,
# even though the SONAME remains the same:
BuildRequires:  liborc0_4-0 >= 0.4.6
Requires:       liborc0_4-0 >= 0.4.6
BuildRequires:	gamin-devel
BuildRequires:	gcc-c++
BuildRequires:	gstreamer-0_10-devel >= 0.10.29
BuildRequires:	gstreamer-0_10-plugins-base-devel
BuildRequires:	gtk-doc
BuildRequires:	liba52dec-devel
BuildRequires: 	libcdio-devel
BuildRequires:	libdvdnav-devel
BuildRequires:	libdvdread-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
BuildRequires:	libmp3lame-devel
BuildRequires:	libmpeg2-devel
BuildRequires:	liboil-devel
BuildRequires:	orc-devel orc
BuildRequires:	libopencore-amr-devel
BuildRequires:	libsidplay1-devel
BuildRequires:	libtwolame-devel
BuildRequires:	libx264-devel
BuildRequires:	mDNSResponder-lib
BuildRequires:	pcre-devel
BuildRequires:	pyxml
BuildRequires:	sgml-skel
BuildRequires:	xorg-x11-devel
%ifarch %ix86 ppc x86_64
BuildRequires:	valgrind
%endif
# Name up to 10.3:
Provides:		gstreamer010-plugins-ugly = %{version}
Obsoletes:		gstreamer010-plugins-ugly < %{version}

%description
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%package doc
Summary:	GStreamer Streaming-Media Framework Plug-Ins
Group:		Documentation/Other
Requires:	%{name} = %{version}
# Name up to 10.3:
Provides:	gstreamer010-plugins-ugly-doc = %{version}
Obsoletes:	gstreamer010-plugins-ugly-doc < %{version}

%description doc
GStreamer is a streaming media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plugin-based architecture means
that new data types or processing capabilities can be added simply by
installing new plug-ins.

%lang_package


%prep
%setup -q -n %{_name}-%{version}
%patch0

#NOCONFIGURE=1 ./autogen.sh
%{?suse_update_config:%{suse_update_config}}

%build
%configure \
	--with-package-name='Packman gstreamer-plugins-ugly package' \
	--with-package-origin='http://packman.links2linux.de/' \
	--enable-gtk-doc \
%if "%{_experimental}" == "1"
	--enable-experimental=yes \
%endif
	--enable-dependency-tracking

%__make %{?jobs:-j %jobs} V=1

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.*a

ln -sf %{_datadir}/doc/licenses/md5/$(md5sum COPYING | %__sed 's/ .*//') COPYING

%find_lang %{_name}-%{gst_branch}

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README RELEASE REQUIREMENTS
%dir %{_datadir}/gstreamer-%{gst_branch}
%dir %{_datadir}/gstreamer-%{gst_branch}/presets
%{_datadir}/gstreamer-%{gst_branch}/presets/GstAmrnbEnc.prs
%{_datadir}/gstreamer-%{gst_branch}/presets/GstX264Enc.prs
%{_libdir}/gstreamer-%{gst_branch}/libgsta52dec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstamrnb.so
%{_libdir}/gstreamer-%{gst_branch}/libgstamrwbdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstasf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdlpcmdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdread.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvdsub.so
%{_libdir}/gstreamer-%{gst_branch}/libgstiec958.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlame.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpeg2dec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegaudioparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegstream.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrmdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsid.so
%if "%{_experimental}" == "1"
%{_libdir}/gstreamer-%{gst_branch}/libgstsynaesthesia.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgsttwolame.so
%{_libdir}/gstreamer-%{gst_branch}/libgstx264.so

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-ugly-plugins-%{gst_branch}

%files lang -f %{_name}-%{gst_branch}.lang

%changelog
* Sun Aug 22 2010 Pascal Bleser <pascal.bleser@opensuse.org> - 0.10.15-999.pm.2
- explicitly require liborc0_4-0 >= 0.4.6 as it provides new, required features;
  thanks to DimStar for reporting this
- verbose build

* Tue Aug 03 2010 Toni Graffy <toni@links2linux.de> - 0.10.15-999.pm.1
- update to version 0.10.15 "Englishman in a Baseball Cap"
    * amrnbenc: give element a rank (SECONDARY) so it's autoplugged
    * rmdemux: descramble sipro audio before pushing out
    * x264enc: fix up codec_data / avcC header construction some more
    * x264enc: Put pixel-aspect-ratio from input into the src pad caps

* Mon Mar 08 2010 Toni Graffy <toni@links2linux.de> - 0.10.14-999.pm.1
- update to version 0.10.14 "Run Rabbit"
    * amrwbdec: give decoder a rank so decodebin/playbin will use it
    * asfdemux: fix flow aggregation
    * asfdemux: try harder to put sane timestamps and durations on buffers
    * asfdemux: accept fragments in a continued packet where the subsequent fragments declare a size of 0
    * asfdemux: improve seek behaviour for audio-only files without an index
    * asfdemux: careful to avoid crash on bogus data; avoid strlen() on NULL pointers
    * asfdemux: add support for chained asfs (push mode)
    * asfdemux: map WM/TrackNumber to GST_TAG_TRACK_NUMBER and prefer over WM/Track
    * asfdemux: post bitrate tags
    * mp3parse: seeking fixes: fix non-flushing seek, conserve stop time for non-accurate seek
    * rtspreal: memory leak fixes; make config header construction valgrind clean
    * rmdemux: fix AC-3 in RealAudio playback; post bitrate tags
    * x264enc: fix up avcC header construction and playback by flash players
    * x264enc: Make upstream GstForceKeyUnit thread-safe
    * x264enc: make use of Access Unit delimiters configurable
    * x264enc: adapt to slightly modified x264 API
    * xingmux: fix unaligned memory access, makes things work better on ARM/SPARC

* Sat Feb 06 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.10.13-999.pm.3
- removed a52dec patch, it's no longer necessary
* Sun Nov 22 2009 Toni Graffy <toni@links2linux.de> - 0.10.13-999.pm.2
- added a patch to build against new a52dec package
* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.10.13-999.pm.1
- update to version 0.10.13 "Appointed Point" 
  * Improve A52 decoder
  * Add AMR-WB decoder and AMR-NB decoder/encoder based on OpenCore codecs
  * ASF playback improvements
  * Improve mp3 parser and seeking
* Mon Jun 22 2009 Toni Graffy <toni@links2linux.de> - 0.10.12-42.pm.1
- update to version 0.10.12
  * Real and WMS RTSP improvements
  * Other cleanups and bug fixes
  * Improve ASF file handling
  * Large MPEG video file support
  * Interlacing support for MPEG video
  * New 'lamemp3dec' mp3 encoder element
  * x264enc moved from -bad
  * Remove id3mux in favour of the new id3tag element in -bad
* Sat Mar 21 2009 Toni Graffy <toni@links2linux.de> - 0.10.11-42.pm.1
- update to version 0.10.11
  * Migrate twolame element from -bad
  * mp3parse improvements
  * Support scaling in the synaesthsia visualisation
  * Improve realmedia streaming, supporting RDT and pnm://
  * Improved ASF demuxing, including streaming-mode seeking
  * Support for 4:4:4 MPEG-2 video
* Tue Dec 23 2008 Toni Graffy <toni@links2linux.de> - 0.10.10-42.pm.2
- rebuild with new libdvdread(-devel)
* Wed Nov 19 2008 Toni Graffy <toni@links2linux.de> - 0.10.10-42.pm.1
- update to version 0.10.10
- changed mad-devel to libmad-devel
* Fri Sep 12 2008 Toni Graffy <toni@links2linux.de> - 0.10.9-42.pm.1
- update to version 0.10.9
* Thu May 22 2008 Toni Graffy <toni@links2linux.de> - 0.10.8-42.pm.1
- update to version 0.10.8
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.10.7-42.pm.2
- changed package layout similar to openSuSE-11.0
* Sat Feb 23 2008 Toni Graffy <toni@links2linux.de> - 0.10.7-0.pm.1
- update to version 0.10.7
- xingmux moved from -bad
- New element: dvdsubdec
* Fri Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.5
- added patch for mpegaudioparse element causes all mp3 playback to fail
* Fri Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.4
- openSUSE-10.3 build: _prefix=/usr
* Tue Sep 04 2007 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.3
- rebuild with new libffmpeg, amrnb
* Fri Jul 06 2007 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.2
- rebuild with new libffmpeg, amrnb ==> amrnb plugin
* Tue Jun 19 2007 Toni Graffy <toni@links2linux.de> - 0.10.6-0.pm.1
- update to version 0.10.6
* Thu Dec 28 2006 Toni Graffy <toni@links2linux.de> - 0.10.5-0.pm.2
- build for SuSE-10.2
* Thu Dec 14 2006 Toni Graffy <toni@links2linux.de> - 0.10.5-0.pm.1
- update to version 0.10.5
* Fri Dec 08 2006 Toni Graffy <toni@links2linux.de> - 0.10.4.1-0.pm.1
- rebuild with new gstreamer010
- update to 0.10.4.1
* Fri Nov 24 2006 Toni Graffy <toni@links2linux.de> - 0.10.4-0.pm.1
- build for packman
- Updated to version 0.10.4
- spec-file based on SuSE-spec Fri Jun 30 2006 - sbrabec@suse.cz
